Bug 1277876 - potrace: flaws in processing of BMP files [epel-all]
potrace: flaws in processing of BMP files [epel-all]
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: potrace (Show other bugs)
el6
All Linux
low Severity low
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: 1277874
  Show dependency treegraph
 
Reported: 2015-11-04 04:56 EST by Martin Prpič
Modified: 2015-12-08 16:23 EST (History)
1 user (show)

See Also:
Fixed In Version: potrace-1.13-2.el5 potrace-1.13-2.el7 potrace-1.13-2.el6 potrace-1.13-2.fc23 potrace-1.13-2.fc22
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 23:53:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2015-11-04 04:56:51 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.
    
[bug automatically created by: add-tracking-bugs]
Comment 1 Martin Prpič 2015-11-04 04:56:56 EST
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1277874,1277876

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link(s) instead:

https://bodhi.fedoraproject.org/updates/new?type_=security&bugs=1277874,1277876
Comment 2 Fedora Update System 2015-11-14 15:24:46 EST
potrace-1.13-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-89ee6b7f82
Comment 3 Fedora Update System 2015-11-14 15:24:58 EST
potrace-1.13-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7852ea201b
Comment 4 Fedora Update System 2015-11-14 15:24:59 EST
potrace-1.13-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-914de61c66
Comment 5 Fedora Update System 2015-11-14 15:25:06 EST
potrace-1.13-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-5a9d60c28e
Comment 6 Fedora Update System 2015-11-14 15:25:07 EST
potrace-1.13-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-b76c1e5912
Comment 7 Fedora Update System 2015-11-14 23:19:53 EST
potrace-1.13-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update potrace'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5a9d60c28e
Comment 8 Fedora Update System 2015-11-14 23:22:27 EST
potrace-1.13-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update potrace'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-89ee6b7f82
Comment 9 Fedora Update System 2015-11-15 00:25:22 EST
potrace-1.13-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update potrace'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7852ea201b
Comment 10 Fedora Update System 2015-11-15 13:47:17 EST
potrace-1.13-2.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update potrace'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-1a2127e75f
Comment 11 Fedora Update System 2015-11-15 14:47:39 EST
potrace-1.13-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update potrace'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-b76c1e5912
Comment 12 Fedora Update System 2015-11-15 14:51:32 EST
potrace-1.13-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update potrace'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-914de61c66
Comment 13 Fedora Update System 2015-12-07 23:53:30 EST
potrace-1.13-2.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-12-08 01:26:10 EST
potrace-1.13-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-12-08 01:56:18 EST
potrace-1.13-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-12-08 14:53:55 EST
potrace-1.13-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-12-08 16:23:13 EST
potrace-1.13-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.